/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.annotation.ejb;

import org.jboss.ha.framework.interfaces.LoadBalancePolicy;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.4 $
 */
public class ClusteredImpl implements Clustered
{
   private Class loadBalancePolicy = LoadBalancePolicy.class;
   private String partition = "DefaultPartition";
   

   public Class loadBalancePolicy()
   {
      return loadBalancePolicy;
   }
   
   public void setLoadBalancePolicy(Class loadBalancePolicy)
   {
      this.loadBalancePolicy = loadBalancePolicy;
   }

   public String partition()
   {
      return partition;
   }
   
   public void setPartition(String partition)
   {
      this.partition = partition;
   }

   public Class annotationType()
   {
      return Clustered.class;
   }
   
   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("loadBalancePolicy=").append(loadBalancePolicy);
      sb.append("partition=").append(partition);
      sb.append("]");
      return sb.toString();
   }
}
